Subject: Re: Porting issues: file owned by root, user nobody
From: "Gerrit P. Haase" <[email-masked]>
To: David Arnstein <[email-masked]>
Cc: [email-masked]
Date: Thu, 30 Dec 2004 20:46:31 +0100

David Arnstein wrote:

> My issues concern porting a Linux application to cygwin.  I read 
> http://cygwin.com/faq/ but I did not find answers.  If there is another 
> resource I should read, please advise.
> 
> The application is "dnrd," published on SourceForge  For security 
> reasons, dnrd
> 1.  Insists that its config files be owned by root.
> 2.  Changes its uid to "nobody," using setuid().
 >
> Has the cygwin community settled on uniform methods to deal with these 
> programming tasks?
> 
> For the file ownership issue, I just have to decide if the appropriate 
> owner is SYSTEM, Administrator, or something else.  And what about group 
> ownership?

$ cat /etc/group | grep root
root:S-1-5-32-544:0:

Someone inserted this into my /etc/group file.

> For the uid issue, I might have to create an unprivileged account to 
> take the place of "nobody."  Unless a more clever solution has been 
> worked out.  Also, setuid() always fails for me.  Are there limitations 
> to this function in cygwin?

Yes, this is covered in the User Guide:
http://cygwin.com/cygwin-ug-net/ntsec.html#ntsec-setuid

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/